description

# UriPolicy class Null safety

Defines the policy for what types of uris are allowed for particular attribute values.

This can be used to provide custom rules such as allowing all http:// URIs for image attributes but only same-origin URIs for anchor tags.

## Constructors

UriPolicy()
  Constructs the default UriPolicy which is to only allow Uris to the same origin as the application was launched from. [...]
  factory

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

allowsUri(String uri) → bool
  Checks if the uri is allowed on the specified attribute. [...]
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited